{% extends 'base.html.twig' %}

{% block body %}
	<div class="row">
		<div class="col-md-12">
			<div class="section">
				<div class="section-header">
					<h5>Listado de Diagnósticos
					</h5>
				</div>
				<div class="section-body">
					<div class="table-responsive">
						<table class="table table-striped">
							<thead>
								<tr>
									<th>#</th>
									<th>Grupo</th>
									<th>Subgrupo</th>
									<th>Acciones</th>
								</tr>
							</thead>
							<tbody>
								{% for diagnostico in diagnosticos %}
									<tr data-link="{{ path('diagnosticos_show', { 'id': diagnostico.id }) }}">
										<td>{{ diagnostico.id }}</td>
										<td>{{ diagnostico.grupo }}</td>
										<td>{{ diagnostico.subgrupo}}</td>
										<td>
											<a href="{{ path('diagnosticos_edit', { 'id': diagnostico.id }) }}">
												<i class="fa fa-edit"></i>
											</a>
										</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="section">
				{% if diagnosticos | length > 14 %}

					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>
								{{(diagnosticos.getItemNumberPerPage * diagnosticos.getCurrentPageNumber) - (diagnosticos.getItemNumberPerPage -1) }}
								-
								{{diagnosticos.getItemNumberPerPage * diagnosticos.getCurrentPageNumber }}</b>
							de
							<b>
								{{ diagnosticos.getTotalItemCount }}
							</b>
						</div>
						<ul class="pagination pull-right">
							{{ knp_pagination_render(diagnosticos) }}
						</ul>
					</div>
				{% else %}
					<div class="well well-sm clearfix">
						<div class="pagination-info pull-left">
							Mostrando
							<b>{{ diagnosticos.getTotalItemCount }}</b>
							items</b>
					</div>
					<ul class="pagination pull-right">
						{{ knp_pagination_render(diagnosticos) }}
					</ul>
				</div>
			{% endif %}
		</div>
	</div>
</div>
{% endblock %}

{% block javascripts %}
	{{parent()}}
	<script type="text/javascript">
		$(document).ready(function() {
			$("#menu-diagnosticos").trigger('click');
		});
	</script>
{% endblock %}
